Bug 1256290 - (CVE-2015-6831) CVE-2015-6831 php: Use After Free Vulnerability in unserialize()
CVE-2015-6831 php: Use After Free Vulnerability in unserialize()
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20150806,repor...
: Security
: 1256292 1256320 (view as bug list)
Depends On: 1305854 1305855
Blocks: 1252058 1306180
  Show dependency treegraph
 
Reported: 2015-08-24 05:59 EDT by Vasyl Kaigorodov
Modified: 2016-11-08 11:08 EST (History)
19 users (show)

See Also:
Fixed In Version: PHP 5.6.12, PHP 5.5.28, PHP 5.4.44
Doc Type: Bug Fix
Doc Text:
A flaw was discovered in the way PHP performed object unserialization. Specially crafted input processed by the unserialize() function could cause a PHP application to crash or, possibly, execute arbitrary code.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-27 06:01:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Adam Mariš 2015-09-09 04:59:31 EDT
*** Bug 1256292 has been marked as a duplicate of this bug. ***
Comment 2 Adam Mariš 2015-09-09 04:59:41 EDT
*** Bug 1256320 has been marked as a duplicate of this bug. ***
Comment 5 errata-xmlrpc 2016-03-15 16:57:00 EDT
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7.1 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.2 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 6.6 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 6.7 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 6

Via RHSA-2016:0457 https://rhn.redhat.com/errata/RHSA-2016-0457.html

Note You need to log in before you can comment on or make changes to this bug.